# Create or update an item **PUT /eTech/rest/ws/businessOrganization/v1/items/code:{itemCode}** Creates a new item if the `itemCode` provided does not exist, else updates the existing item. Rate limit range : Standard ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **itemCode** (string) Requested item code, case insensitive. ### Body: application/json (object) - **name** (string) Item name. - **reference** (string | null) Item internal reference code (for catalog search purpose). - **itemCategoryCode** (string) Item's category code. Case insensitive. - **description** (string | null) Item detailed description. - **barCode** (string | null) Item barcode value associated with the item (for catalog search purpose). - **manufacturer** (string | null) Item's manufacturer. - **dimensions** (integer) Indicates how many dimensions the item has (length x width x height). - **attributes** (object) - **tracking** (object) Details about how the item is tracked. - **billingParameters** (object) Pricing information and invoicing details. - **customFields** (object) Map of custom fields of an item. ## Responses ### 201 Item created. ### 204 Item updated. ### 400 Bad Request - validation errors #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)